VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimRenderGL.GLIndexBuffer Class Reference
Inheritance diagram for VisimRenderGL.GLIndexBuffer:

List of all members.

## Public Member Functions
| GLIndexBuffer (int count, bool cache=false, ResourceUsage usage=ResourceUsage.Static)
| GLIndexBuffer (int[] indices, bool cache=false, ResourceUsage usage=ResourceUsage.Static)
override void | BindBuffer ()
override void | WriteCache ()
| Writes content of the cache to index buffer.
override void | ReadCache (int start, int count)
| Reads part of the buffer to cache.
override void | WriteCache (int start, int count)
| Writes content of the cache to the buffer.
override int | ReadElement (int position)
| Directly reads one element from the buffer (might be very slow)
override void | WriteElement (int position, ref int value)
override void | Dispose ()
## Protected Member Functions
override void | ConstructBuffer (int count, bool justPrepare=false)
| Will construct buffer with specified number of elements. If HWbuffer already has some buffer assigned, it will be deleted.
void | ReleaseBuffer ()
## Properties
override uint | InternalID`[get]`
| Internal ID for the buffer.
override string | FileName`[get, set]`
| File used to create the resource (if it was loaded from the disk)

## Constructor & Destructor Documentation

VisimRenderGL.GLIndexBuffer.GLIndexBuffer | ( | int | count,
|  | bool | cache = `false`,
|  | ResourceUsage | usage = `ResourceUsage.Static`
| ) |  |

VisimRenderGL.GLIndexBuffer.GLIndexBuffer | ( | int[] | indices,
|  | bool | cache = `false`,
|  | ResourceUsage | usage = `ResourceUsage.Static`
| ) |  |

## Member Function Documentation

override void VisimRenderGL.GLIndexBuffer.BindBuffer | ( |  | ) | `[virtual]`

Implements VisimBox.Renderer.IndexBuffer.

override void VisimRenderGL.GLIndexBuffer.ConstructBuffer | ( | int | count,
|  | bool | justPrepare = `false`
| ) |  | `[protected, virtual]`

Will construct buffer with specified number of elements. If HWbuffer already has some buffer assigned, it will be deleted.

Parameters:

  count | Required number of elements
  justPrepade | Only prepares buffer without setting it's size

Implements VisimBox.Renderer.HWBuffer< T >.

override void VisimRenderGL.GLIndexBuffer.Dispose | ( |  | ) | `[virtual]`

Reimplemented from VisimBox.Renderer.HWBuffer< T >.

override void VisimRenderGL.GLIndexBuffer.ReadCache | ( | int | start,
|  | int | count
| ) |  | `[virtual]`

Reads part of the buffer to cache.

Parameters:

  start | starting index
  count | number of elements to be read from the buffer

Reimplemented from VisimBox.Renderer.HWBuffer< T >.

override int VisimRenderGL.GLIndexBuffer.ReadElement | ( | int | position | ) | `[virtual]`

Directly reads one element from the buffer (might be very slow)

Parameters:

  position | Index of the element to write

Returns:
  Element on the position

Implements VisimBox.Renderer.HWBuffer< T >.

void VisimRenderGL.GLIndexBuffer.ReleaseBuffer | ( |  | ) | `[protected]`

override void VisimRenderGL.GLIndexBuffer.WriteCache | ( | int | start,
|  | int | count
| ) |  | `[virtual]`

Writes content of the cache to the buffer.

Parameters:

  start | starting index
  count | number of elements to be written to the buffer

Implements VisimBox.Renderer.HWBuffer< T >.

override void VisimRenderGL.GLIndexBuffer.WriteCache | ( |  | ) | `[virtual]`

Writes content of the cache to index buffer.

Reimplemented from VisimBox.Renderer.HWBuffer< T >.

override void VisimRenderGL.GLIndexBuffer.WriteElement | ( | int | position,
|  | ref int | value
| ) |  |

## Property Documentation

override string VisimRenderGL.GLIndexBuffer.FileName`[get, set]`

File used to create the resource (if it was loaded from the disk)

Reimplemented from VisimBox.Renderer.HWBuffer< T >.

override uint VisimRenderGL.GLIndexBuffer.InternalID`[get]`

Internal ID for the buffer.

Reimplemented from VisimBox.Renderer.HWBuffer< T >.

The documentation for this class was generated from the following file:

- GLIndexBuffer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events